package com.kevinsignes.animaladvisor.service;

import java.util.Collection;

import com.kevinsignes.animaladvisor.modelos.Animal;

public interface AnimalQueryService {
	public Collection<Animal> ejecutar();
	public AnimalQueryService buscarTipo(String tipo);
	public AnimalQueryService buscarHabitat(String habitat);
	public AnimalQueryService buscarPromedioVida(String promedioVida);
	public AnimalQueryService buscarNombre(String nombre);
	public AnimalQueryService buscarcolor(String color);
	public AnimalQueryService buscarDomesticos(String domesticos);
}
